[DTrace-devel] [PATCH 1/3] test: XFAIL copyin test on UEKR6 ARM

eugene.loh at oracle.com eugene.loh at oracle.com
Fri Aug 12 15:37:36 UTC 2022


From: Eugene Loh <eugene.loh at oracle.com>

This patch can be squashed into
d97c8fa7 Add support for copyin() subroutine

Signed-off-by: Eugene Loh <eugene.loh at oracle.com>
---
 test/unittest/funcs/copyin/tst.copyin.aarch64.x | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 test/unittest/funcs/copyin/tst.copyin.aarch64.x

diff --git a/test/unittest/funcs/copyin/tst.copyin.aarch64.x b/test/unittest/funcs/copyin/tst.copyin.aarch64.x
new file mode 100755
index 00000000..17558bae
--- /dev/null
+++ b/test/unittest/funcs/copyin/tst.copyin.aarch64.x
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+read MAJOR MINOR <<< `uname -r | grep -Eo '^[0-9]+\.[0-9]+' | tr '.' ' '`
+
+if [ $MAJOR -gt 5 ]; then
+	exit 0
+fi
+if [ $MAJOR -eq 5 -a $MINOR -gt 4 ]; then
+	exit 0
+fi
+
+# Technically, Linux 5.4 should also work, but there seem to be problems with
+# UEK6.
+
+echo "pid entry probes have bad arg8/arg9 on pre-5.5 kernels on ARM"
+exit 1
-- 
2.18.4




More information about the DTrace-devel mailing list